import React from 'react'
import styled from 'styled-components'
import '@antv/x6-react-shape'

const NodeWrapper = styled.div`
  width: 100%;
  height: 100%;
  .node {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    width: 100%;
    height: 100%;
    background-color: #fff;
    border: 1px solid #c2c8d5;
    border-left: 4px solid #5f95ff;
    border-radius: 4px;
    box-shadow: 0 2px 5px 1px rgba(0, 0, 0, 0.06);
  }
  .node .label {
    display: inline-block;
    flex-shrink: 0;
    margin-left: 8px;
    color: #666;
    font-size: 12px;
  }
  .node .status {
    flex-shrink: 0;
  }
`

export class AlgoNode extends React.Component {
  shouldComponentUpdate() {
    const { node } = this.props
    if (node) {
      if (node.hasChanged('data')) {
        return true
      }
    }
    return false
  }

  render() {
    const { node } = this.props
    const data = node?.getData()
    const { label, status = 'default', type, uri } = data

    return (
      <NodeWrapper>
        <div className={`node ${status}`}>
          <span className="label">{label}</span>
          {type === 'work' && <span className="label">{uri}</span>}
        </div>
      </NodeWrapper>
    )
  }
}

export default AlgoNode
