import { Button, Form, Input, Select, Radio, Space, Upload, Steps } from 'antd';
import setFieldValue from 'antd';
import React, { useState , Component , useEffect } from 'react';
const { Option } = Select;
const FormItem = Form.Item

const layout = {
  labelCol: {
    span: 8,
  },
  wrapperCol: {
    span: 16,
  },
};
const tailLayout = {
  wrapperCol: {
    offset: 8,
    span: 16,
  },
};



export default function JobStepOne({ drawDataForm }) {
  const [form] = Form.useForm();
  
useEffect(() => {
  const DJName = drawDataForm.getFieldValue('DagJobName')
  if (DJName) {
    drawDataForm.setFieldValue('DagJobName',DJName)
    console.log(drawDataForm)
  }
},[])

  return (
    <>
    <Form  {...layout} form={drawDataForm} name="control-hooks" >
      <FormItem
        name="DagJobName
        "
        label="作业名称"
        rules={[
          {
            required: true,
          },
        ]}
      >
        <Input
          placeholder="请输入作业名称..."
          allowClear
        >
        </Input>
      </FormItem>
    
    {/* 作业分类选择 */}
      <FormItem
        name="DagJobSort"
        label="作业分类"
        rules={[
          {
            required: true,
          },
        ]}
      >
        <Select
          placeholder="请选择作业分类..."
          allowClear
        >
          <Option value="Java">Java</Option>
          <Option value="Python">Python</Option>
          <Option value="Dag">Dag</Option>
        </Select>
      </FormItem>

    {/* 选择执行镜像 */}
      <FormItem
        className='mirrorLeft'
        name="DagMirror
        "
        label="选择DAG算子"
        rules={[
          {
            required: true,
          },
        ]}
      >
        <Select
          placeholder="请选择DAG算子"
          allowClear
        >
          <Option value="Java">Java</Option>
          <Option value="Python">Python</Option>
          <Option value="Dag">Dag</Option>
        </Select>
      </FormItem>
    </Form>
    </>
  )
}